package com.ss.android.ugc.aweme.im.sdk.chat.data.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class CommentStatus {
    @c(LIZ = "cid")
    public Long commentId;
    @c(LIZ = "is_visible")
    public Boolean isVisible = true;
    @c(LIZ = "reason")
    public String reason;
    @c(LIZ = "comment_sharing_status")
    public Integer sharingStatus;

    static {
        Covode.recordClassIndex(84085);
    }

    public final Long getCommentId() {
        return this.commentId;
    }

    public final String getReason() {
        return this.reason;
    }

    public final Integer getSharingStatus() {
        return this.sharingStatus;
    }

    public final Boolean isVisible() {
        return this.isVisible;
    }

    public final void setCommentId(Long l) {
        this.commentId = l;
    }

    public final void setReason(String str) {
        this.reason = str;
    }

    public final void setSharingStatus(Integer num) {
        this.sharingStatus = num;
    }

    public final void setVisible(Boolean bool) {
        this.isVisible = bool;
    }
}
